//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "dQryCstr.h"
#include "uCstrMm.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TdlgQryCstr *dlgQryCstr;
#define QRY_COUNT 8
AnsiString QryCstrChiFieldName[QRY_COUNT] = {"|s", "|W", "sH", "q", "ǯu", "ʹq", "lϸ", "a}"};
AnsiString QryCstrEngFieldName[QRY_COUNT] = {"Cstr_HPNo", "Cstr_HPName", "Cstr_ContactName", "Cstr_Tel", "Cstr_Fax", "Cstr_Mobil", "Cstr_ZIP", "Cstr_Address"};
//---------------------------------------------------------------------

__fastcall TdlgQryCstr::TdlgQryCstr(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------
void __fastcall TdlgQryCstr::FormCreate(TObject *Sender)
{
    cbQry1->Items->Clear();
    cbQry2->Items->Clear();
    for (int i=0; i<QRY_COUNT; i++)
    {
        cbQry1->Items->Add(QryCstrChiFieldName[i]);
        cbQry2->Items->Add(QryCstrChiFieldName[i]);
    }
    cbQry1->ItemIndex = 0;
    lblQry1->Caption = cbQry1->Text + ":";
    cbQry2->Items->Delete(cbQry1->ItemIndex);
    cbQry2->ItemIndex = 0;
    lblQry2->Caption = cbQry2->Text + ":";
}
//---------------------------------------------------------------------------

void __fastcall TdlgQryCstr::cbQry1Change(TObject *Sender)
{
    lblQry1->Caption = cbQry1->Text + ":";
    cbQry2->Items->Clear();
    for (int i=0; i<QRY_COUNT; i++)
        cbQry2->Items->Add(QryCstrChiFieldName[i]);
    cbQry2->Items->Delete(cbQry1->ItemIndex);
    cbQry2->ItemIndex = 0;
    lblQry2->Caption = cbQry2->Text + ":";
    edtQry1->Text = "";
    edtQry1->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TdlgQryCstr::cbQry2Change(TObject *Sender)
{
    lblQry2->Caption = cbQry2->Text + ":";
    edtQry2->Text = "";
    edtQry2->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TdlgQryCstr::OKBtnClick(TObject *Sender)
{
    AnsiString tmp1, tmp2;

    for (int i=0; i<QRY_COUNT; i++)
    {
        if (cbQry1->Text == QryCstrChiFieldName[i])
        {
            tmp1 = QryCstrEngFieldName[i];
            break;
        }
    }
    for (int i=0; i<QRY_COUNT; i++)
    {
        if (cbQry2->Text == QryCstrChiFieldName[i])
        {
            tmp2 = QryCstrEngFieldName[i];
            break;
        }
    }
    frmLFAQ->Query1->Close();
    frmLFAQ->Query1->SQL->Clear();
    frmLFAQ->Query1->SQL->Add("select * from table_cb");
    frmLFAQ->Query1->SQL->Add("where " + tmp1 + " like :Q1 and " + tmp2 + " like :Q2");
    if (rgQryMethod->ItemIndex == 0)    //T
    {
        frmLFAQ->Query1->ParamByName("Q1")->AsString = edtQry1->Text;
        frmLFAQ->Query1->ParamByName("Q2")->AsString = edtQry2->Text;
    }
    else    // ҽk
    {
        frmLFAQ->Query1->ParamByName("Q1")->AsString = "%" + edtQry1->Text + "%";
        frmLFAQ->Query1->ParamByName("Q2")->AsString = "%" + edtQry2->Text + "%";
    }
    if (!frmLFAQ->Query1->Prepared)
        frmLFAQ->Query1->Prepare();
    frmLFAQ->Query1->Open();
}
//---------------------------------------------------------------------------


