//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "uCstrMm.h"
#include "dNewCstr.h"
#include "dQryCstr.h"
//#include "dLicenseManager.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmLFAQ *frmLFAQ;
//---------------------------------------------------------------------------
__fastcall TfrmLFAQ::TfrmLFAQ(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------


void __fastcall TfrmLFAQ::bbRefreshCstrClick(TObject *Sender)
{
    Query1->Edit();
    Query1->Post();
    Query1->Refresh();
}
//---------------------------------------------------------------------------


void __fastcall TfrmLFAQ::bbDelCstrClick(TObject *Sender)
{
    if (MessageBox(NULL, "TwnR?", "ĵi!", MB_YESNO|MB_ICONWARNING) == ID_YES)
    {
        try
        {
            int cstr_id = DBGrid1->DataSource->DataSet->FieldByName("Cstr_ID")->AsInteger;
            Query1->Close();
            Query1->SQL->Clear();
            Query1->SQL->Add("DELETE FROM table_cb");
            Query1->SQL->Add("where Cstr_ID = :ID");
            //Query1->SQL->Add("where Cstr_HPNo= :HPNo");
            Query1->ParamByName("ID")->AsInteger = cstr_id;
            if (!Query1->Prepared)
                Query1->Prepare();
            Query1->ExecSQL();
            bbQryAllClick(Sender);
        }
        catch (...)
        {
            ShowMessage("LkR");
        }
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::bbNewCstrClick(TObject *Sender)
{
    dlgNewCstr->ShowModal();
    bbQryAllClick(Sender);
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::FormDestroy(TObject *Sender)
{
    Query1->Close();
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::Panel2Click(TObject *Sender)
{
    if (ShellExecute(Application->Handle, "open" , "IEXPLORE.EXE", "http://www.asn.com.tw", "C:\\Program Files\\Internet Explorer", SW_SHOWDEFAULT) <= (void *)32)
        ShellExecute(Application->Handle, "open" , "NETSCAPE.EXE", "http://www.asn.com.tw", NULL, SW_SHOWDEFAULT);    
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::bbQryCstrClick(TObject *Sender)
{
    dlgQryCstr->ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::FormCreate(TObject *Sender)
{
    Session1->AddPassword("123456");
    Query1->Open();
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::FormKeyPress(TObject *Sender, char &Key)
{
    if (Key == VK_RETURN)
    {
        Key = 0;
        Perform(WM_NEXTDLGCTL, 0, 0);
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::bbQryAllClick(TObject *Sender)
{
    try
    {
        Query1->Close();
        Query1->SQL->Clear();
        Query1->SQL->Add("select * from table_cb");
        if (!Query1->Prepared)
            Query1->Prepare();
        Query1->Open();
    }
    catch (...)
    {
        ShowMessage("Ʈw~");
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::bbFBuyLcnsClick(TObject *Sender)
{
    //dlgBuyLcns->firstbuy = true;
    //dlgBuyLcns->ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::bbLBuyLcnsClick(TObject *Sender)
{
    //dlgBuyLcns->firstbuy = false;
    //dlgBuyLcns->ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::DBGrid1DrawColumnCell(TObject *Sender,
      const TRect &Rect, int DataCol, TColumn *Column,
      TGridDrawState State)
{
    if(Column->Field->DataSet->RecNo%2)
    {
        DBGrid1->Canvas->Brush->Color=clSilver;
        DBGrid1->Canvas->FillRect(Rect);
        DrawText(DBGrid1->Canvas->Handle, Column->Field->Text.c_str(),-1,(RECT*)&Rect,DT_SINGLELINE | DT_VCENTER |DT_CENTER);
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrmLFAQ::BitBtn1Click(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------

